DescribeDataset
Retrieves information about a dataset.
Request Syntax
GET /datasets/datasetId?datasetVersion=datasetVersion&workspaceName=workspaceName HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- datasetId
-
The ID of the dataset.
Length Constraints: Fixed length of 36.
Pattern:
^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Required: Yes
- datasetVersion
-
The version of the dataset.
Length Constraints: Minimum length of 1. Maximum length of 10.
Pattern:
^(0|([1-9]{1}\d*))$ - workspaceName
-
The name of the workspace that contains the dataset.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
^[a-zA-Z0-9_-]+$
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"datasetArn": "string",
"datasetConfig": {
"session": {
"sessionEndTimestamp": {
"offsetInNanos": number,
"timeInSeconds": number
},
"sessionStartTimestamp": {
"offsetInNanos": number,
"timeInSeconds": number
}
}
},
"datasetCreationDate": number,
"datasetDescription": "string",
"datasetId": "string",
"datasetLastUpdateDate": number,
"datasetName": "string",
"datasetSource": {
"sourceDetail": {
"kendra": {
"knowledgeBaseArn": "string",
"roleArn": "string"
}
},
"sourceFormat": "string",
"sourceType": "string"
},
"datasetStatus": {
"error": {
"code": "string",
"details": [
{
"code": "string",
"message": "string"
}
],
"message": "string"
},
"state": "string"
},
"datasetType": "string",
"datasetVersion": "string",
"enrichmentStatus": {
"video": {
"lastEnrichedAt": number,
"status": "string"
}
},
"metadata": {
"string" : "string"
},
"workspaceName": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- datasetArn
-
The ARN of the dataset. The format is
arn:${Partition}:iotsitewise:${Region}:${Account}:dataset/${DatasetId}.Type: String
Length Constraints: Minimum length of 1. Maximum length of 1600.
Pattern:
^arn:aws(-cn|-us-gov)?:[a-zA-Z0-9-:\/_\.]+$ - datasetConfig
-
The configuration for the dataset.
Type: DatasetConfig object
- datasetCreationDate
-
The dataset creation date, in Unix epoch time.
Type: Timestamp
- datasetDescription
-
A description about the dataset, and its functionality.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
[^\u0000-\u001F\u007F]+ - datasetId
-
The ID of the dataset.
Type: String
Length Constraints: Fixed length of 36.
Pattern:
^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$ - datasetLastUpdateDate
-
The date the dataset was last updated, in Unix epoch time.
Type: Timestamp
- datasetName
-
The name of the dataset.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 256.
Pattern:
^[a-zA-Z0-9 _\-#$*!@.]+$ - datasetSource
-
The data source for the dataset.
Type: DatasetSource object
- datasetStatus
-
The status of the dataset. This contains the state and any error messages. State is
CREATINGafter a successfull call to this API, and any associated error message. The state isACTIVEwhen ready to use.Type: DatasetStatus object
- datasetType
-
The type of dataset: a session dataset, a curated dataset, or a connection to an external datasource.
Type: String
Valid Values:
SESSION | CURATED | EXTERNAL - datasetVersion
-
The version of the dataset.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 10.
Pattern:
^(0|([1-9]{1}\d*))$ - enrichmentStatus
-
The enrichment status of the dataset.
Type: DatasetEnrichment object
- metadata
-
The metadata for the dataset.
Type: String to string map
Key Length Constraints: Minimum length of 1. Maximum length of 128.
Value Length Constraints: Minimum length of 0. Maximum length of 2048.
- workspaceName
-
The name of the workspace that contains the dataset.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
^[a-zA-Z0-9_-]+$
Errors
For information about the errors that are common to all actions, see Common Error Types.
- InternalFailureException
-
AWS IoT SiteWise can't process your request right now. Try again later.
HTTP Status Code: 500
- InvalidRequestException
-
The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.
HTTP Status Code: 400
- ResourceNotFoundException
-
The requested resource can't be found.
HTTP Status Code: 404
- ThrottlingException
-
Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.
For more information, see Quotas in the AWS IoT SiteWise User Guide.
HTTP Status Code: 429
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: